commit:     2e8f7a0efa6739921197dd79c98c322d4a23f8a9
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Nov  6 00:31:53 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov  6 18:11:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e8f7a0e

sci-visualization/labplot: Add first kf5-based release

Gentoo-bug: 578532

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2756

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-visualization/labplot/Manifest                 |  1 +
 .../labplot/files/labplot-2.3.0-deps.patch         | 49 ++++++++++++++
 .../labplot/files/labplot-2.3.0-desktop.patch      | 24 +++++++
 .../labplot/files/labplot-2.3.0-options.patch      | 77 ++++++++++++++++++++++
 sci-visualization/labplot/labplot-2.3.0.ebuild     | 77 ++++++++++++++++++++++
 5 files changed, 228 insertions(+)

diff --git a/sci-visualization/labplot/Manifest 
b/sci-visualization/labplot/Manifest
index 7399f70..203e458 100644
--- a/sci-visualization/labplot/Manifest
+++ b/sci-visualization/labplot/Manifest
@@ -1 +1,2 @@
 DIST labplot-2.0.2.tar.xz 2696384 SHA256 
f52e00006e2ce87aeda5bf15b950155e5db71cde4b0e1fb0819b6e71aaf6dee0 SHA512 
6fb78f7f36dfd961690e4062646401fde86054323ffbf1d90986ae686201ad9f1bd5f2e6a914545f10d085355c490d63399ce92197770d7fb0cfccc91e24421b
 WHIRLPOOL 
677f40ffb5cf151a160148da25cc364a6de62cfa5829bf70d4486e072ed05b6831d3975d31fa2ad6ef7c698b4abb44bdfd86efd9d29d1670e0bd5e57f9c4314e
+DIST labplot-2.3.0-kf5.tar.xz 4531156 SHA256 
a5a7d706de5f978430b359ada42f9227a2619f5fa9608d56af16c760b7626f33 SHA512 
0f8053bfccbfb6756db14c2d35f69b18bc83395c15cc01cbe61e5877065ad587e1563e7f161dfbac7c75b8b30aa04ee112e0c1962b52544e33ca936bd17b1444
 WHIRLPOOL 
febd50c0a36612a1f93d8190eb9907ede4c29513652cc1a99cfc196c464eb7a7d6bc8692e13a98a9ce31e963a15396385dd9d7b015fe65bd995e2b85e9a09f94

diff --git a/sci-visualization/labplot/files/labplot-2.3.0-deps.patch 
b/sci-visualization/labplot/files/labplot-2.3.0-deps.patch
new file mode 100644
index 00000000..dbedac7
--- /dev/null
+++ b/sci-visualization/labplot/files/labplot-2.3.0-deps.patch
@@ -0,0 +1,49 @@
+From 41c3e23837adb8df641024901d3aee9dea2ded9d Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <[email protected]>
+Date: Sun, 6 Nov 2016 00:37:36 +0100
+Subject: [PATCH 1/2] Add missing dependencies
+
+REVIEW: 129344
+---
+ CMakeLists.txt | 25 +++++++++++++++++++++++--
+ 1 file changed, 23 insertions(+), 2 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 9dc90f7..4db135f 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -4,8 +4,29 @@ cmake_minimum_required(VERSION 2.8.12)
+ find_package(ECM 1.3.0 REQUIRED NO_MODULE)
+ set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+ 
+-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg 
Concurrent)
+-find_package(KF5 REQUIRED COMPONENTS I18n KDELibs4Support)
++find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
++      Concurrent
++      Gui
++      PrintSupport
++      Svg
++      Widgets
++)
++find_package(KF5 REQUIRED COMPONENTS
++      Archive
++      Completion
++      Config
++      ConfigWidgets
++      CoreAddons
++      DocTools
++      I18n
++      IconThemes
++      KDELibs4Support
++      KIO
++      NewStuff
++      TextWidgets
++      WidgetsAddons
++      XmlGui
++)
+ 
+ include(FeatureSummary)
+ include(ECMInstallIcons)
+-- 
+2.7.3
+

diff --git a/sci-visualization/labplot/files/labplot-2.3.0-desktop.patch 
b/sci-visualization/labplot/files/labplot-2.3.0-desktop.patch
new file mode 100644
index 00000000..8722b17
--- /dev/null
+++ b/sci-visualization/labplot/files/labplot-2.3.0-desktop.patch
@@ -0,0 +1,24 @@
+commit a66226a538ae23f61eaf4b3c00efa8321504fe00
+Author: Wolfgang Bauer <[email protected]>
+Date:   Thu Jul 28 15:20:05 2016 +0200
+
+    Fix .desktop file's Exec line
+    
+    The KF5 port uses QCommandLineParser which doesn't know the '-caption'
+    parameter.
+    The desktop file needs to use '-qwindowtitle' instead.
+    
+    REVIEW: 128532
+
+diff --git a/src/labplot2.desktop b/src/labplot2.desktop
+index 38fe9bb..8ce836c 100755
+--- a/src/labplot2.desktop
++++ b/src/labplot2.desktop
+@@ -1,6 +1,6 @@
+ [Desktop Entry]
+ Type=Application
+-Exec=labplot2 -caption %c %i %f
++Exec=labplot2 -qwindowtitle %c %i %f
+ Icon=labplot2
+ Name=LabPlot2
+ Name[ast]=LabPlot2

diff --git a/sci-visualization/labplot/files/labplot-2.3.0-options.patch 
b/sci-visualization/labplot/files/labplot-2.3.0-options.patch
new file mode 100644
index 00000000..f4f9a4c
--- /dev/null
+++ b/sci-visualization/labplot/files/labplot-2.3.0-options.patch
@@ -0,0 +1,77 @@
+From 2756fff72169df6cd4eec3d9bf96e9673574c2d0 Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <[email protected]>
+Date: Sun, 6 Nov 2016 01:00:13 +0100
+Subject: [PATCH 2/2] Make options optional
+
+REVIEW: 129344
+---
+ CMakeLists.txt | 30 ++++++++++++++++++------------
+ 1 file changed, 18 insertions(+), 12 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 4db135f..8055bee 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -48,6 +48,11 @@ add_definitions(-fvisibility=default)
+ cmake_policy(SET CMP0002 OLD)
+ #cmake_policy(SET CMP0063 NEW)
+ 
++### Options ######################################
++option(ENABLE_CANTOR "Build with Cantor support" ON)
++option(ENABLE_FFTW "Build with FFTW support" ON)
++option(ENABLE_NETCDF "Build with NetCDF support" ON)
++
+ ### FFTW ######################################
+ FIND_LIBRARY(FFTW_LIBRARIES fftw3
+       PATHS
+@@ -58,12 +63,12 @@ FIND_PATH (FFTW_INCLUDE_DIR fftw3.h
+       /usr/include
+       /usr/local/include
+ )
+-IF (FFTW_LIBRARIES AND FFTW_INCLUDE_DIR)
++IF(ENABLE_FFTW AND FFTW_LIBRARIES AND FFTW_INCLUDE_DIR)
+       SET (FFTW_FOUND TRUE)
+-ELSE (FFTW_LIBRARIES AND FFTW_INCLUDE_DIR)
++ELSE()
+       SET (FFTW_FOUND FALSE)
+       SET (FFTW_LIBRARIES "")
+-ENDIF (FFTW_LIBRARIES AND FFTW_INCLUDE_DIR)
++ENDIF()
+ 
+ IF (FFTW_FOUND)
+       MESSAGE (STATUS "Found FFTW 3 Library: ${FFTW_INCLUDE_DIR} 
${FFTW_LIBRARIES}")
+@@ -120,12 +125,12 @@ FIND_PATH (CANTOR_INCLUDE_DIR worksheetaccess.h
+       /usr/include/cantor
+       /usr/local/include/cantor
+ )
+-IF (CANTOR_LIBS AND CANTOR_INCLUDE_DIR)
++IF(ENABLE_CANTOR AND CANTOR_LIBS AND CANTOR_INCLUDE_DIR)
+       SET (CANTOR_LIBS_FOUND TRUE)
+-ELSE (CANTOR_LIBS AND CANTOR_INCLUDE_DIR)
++ELSE()
+       SET (CANTOR_LIBS_FOUND FALSE)
+       SET (CANTOR_LIBS "")
+-ENDIF (CANTOR_LIBS AND CANTOR_INCLUDE_DIR)
++ENDIF()
+ IF (CANTOR_LIBS_FOUND)
+       MESSAGE (STATUS "Found CantorLibs ${CANTOR_INCLUDE_DIR} ${CANTOR_LIBS}")
+       add_definitions (-DHAVE_CANTOR_LIBS)
+@@ -150,12 +155,12 @@ FIND_PATH (NETCDF_INCLUDE_DIR netcdf.h
+       /usr/include/
+       /usr/local/include/
+ )
+-IF (NETCDF_LIBRARY AND NETCDF_INCLUDE_DIR)
++IF(ENABLE_NETCDF AND NETCDF_LIBRARY AND NETCDF_INCLUDE_DIR)
+       SET (NETCDF_FOUND TRUE)
+-ELSE (NETCDF_LIBRARY AND NETCDF_INCLUDE_DIR)
++ELSE()
+       SET (NETCDF_FOUND FALSE)
+       SET (NETCDF_LIBRARY "")
+-ENDIF (NETCDF_LIBRARY AND NETCDF_INCLUDE_DIR)
++ENDIF()
+ IF (NETCDF_FOUND)
+       MESSAGE (STATUS "Found Network Common Data Format (NetCDF) Library: 
${NETCDF_INCLUDE_DIR} ${NETCDF_LIBRARY}")
+       add_definitions (-DHAVE_NETCDF)
+-- 
+2.7.3
+

diff --git a/sci-visualization/labplot/labplot-2.3.0.ebuild 
b/sci-visualization/labplot/labplot-2.3.0.ebuild
new file mode 100644
index 00000000..8835413
--- /dev/null
+++ b/sci-visualization/labplot/labplot-2.3.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGIT_BRANCH="frameworks"
+KDE_HANDBOOK="forceoptional"
+inherit kde5
+
+DESCRIPTION="Scientific data analysis and visualisation based on KDE 
Frameworks"
+HOMEPAGE="https://www.kde.org/applications/education/labplot/";
+[[ ${KDE_BUILD_TYPE} != live ]] && 
SRC_URI="mirror://kde/stable/${PN}/${PV}/${P}-kf5.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="cantor fftw hdf5 netcdf"
+
+[[ ${KDE_BUILD_TYPE} != live ]] && S="${WORKDIR}/${P}-kf5"
+
+COMMON_DEPEND="
+       $(add_frameworks_dep karchive)
+       $(add_frameworks_dep kcompletion)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep kdelibs4support)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kiconthemes)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep knewstuff)
+       $(add_frameworks_dep ktextwidgets)
+       $(add_frameworks_dep kwidgetsaddons)
+       $(add_frameworks_dep kxmlgui)
+       $(add_qt_dep qtconcurrent)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtprintsupport)
+       $(add_qt_dep qtsvg)
+       $(add_qt_dep qtwidgets)
+       >=sci-libs/gsl-1.15:=
+       cantor? ( $(add_kdeapps_dep cantor) )
+       fftw? ( sci-libs/fftw:3.0= )
+       hdf5? ( sci-libs/hdf5:= )
+       netcdf? ( sci-libs/netcdf:= )
+"
+DEPEND="${COMMON_DEPEND}
+       sys-devel/gettext
+       x11-misc/shared-mime-info
+"
+RDEPEND="${COMMON_DEPEND}
+       !sci-visualization/labplot:4
+"
+
+PATCHES=(
+       "${FILESDIR}/${P}-deps.patch"
+       "${FILESDIR}/${P}-options.patch"
+       "${FILESDIR}/${P}-desktop.patch"
+)
+
+src_prepare() {
+       if ! use handbook && [[ ${KDE_BUILD_TYPE} != live ]]; then
+               cmake_comment_add_subdirectory doc-translations
+       fi
+
+       kde5_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DENABLE_CANTOR=$(usex cantor)
+               -DENABLE_FFTW=$(usex fftw)
+               $(cmake-utils_use_find_package hdf5 HDF5)
+               -DENABLE_NETCDF=$(usex netcdf)
+       )
+
+       kde5_src_configure
+}

Reply via email to